/miro-boards | Type: Application | PCID required: Yes
Tools
miro_boards_attach_tag_to_item
Attach tag to item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id_PlatformTags | string | Yes | — | Unique identifier (ID) of the board with the item that you want to add a tag to. |
item_id | string | Yes | — | Unique identifier (ID) of the item to which you want to add a tag. |
tag_id | string | Yes | — | Unique identifier (ID) of the tag you want to add to the item. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id_PlatformTags": {
"type": "string",
"description": "Unique identifier (ID) of the board with the item that you want to add a tag to."
},
"item_id": {
"type": "string",
"description": "Unique identifier (ID) of the item to which you want to add a tag."
},
"tag_id": {
"type": "string",
"description": "Unique identifier (ID) of the tag you want to add to the item."
}
},
"required": [
"PCID",
"board_id_PlatformTags",
"item_id",
"tag_id"
]
}
miro_boards_copy_board
Copy board Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
copy_from | string | Yes | — | Unique identifier (ID) of the board that you want to copy. |
description | string | No | — | Description of the board. |
name | string | No | — | Name for the board. |
policy | object | No | — | Defines the permissions policies and sharing policies for the board. |
teamId | string | No | — | Unique identifier (ID) of the team where the board must be placed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"copy_from": {
"type": "string",
"description": "Unique identifier (ID) of the board that you want to copy."
},
"description": {
"type": "string",
"description": "Description of the board."
},
"name": {
"type": "string",
"description": "Name for the board."
},
"policy": {
"type": "object",
"description": "Defines the permissions policies and sharing policies for the board.",
"properties": {
"permissionsPolicy": {
"type": "object",
"description": "Defines the permissions policies for the board."
},
"sharingPolicy": {
"type": "object",
"description": "Defines the public-level, organization-level, and team-level access for the board. The access level that a user gets depends on the highest level of access that results from considering the public-level, team-level, organization-level, and direct sharing access."
}
}
},
"teamId": {
"type": "string",
"description": "Unique identifier (ID) of the team where the board must be placed."
}
},
"required": [
"PCID",
"copy_from"
]
}
miro_boards_create_board
Create board Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | string | No | — | Description of the board. |
name | string | No | — | Name for the board. |
policy | object | No | — | Defines the permissions policies and sharing policies for the board. |
projectId | string | No | — | Unique identifier (ID) of the project to which the board must be added. Note: Projects have been renamed to Spaces. Use this parameter to update the space. For Starter and Edu plans, Team Admins looking to move boards between Spaces/Projects of the same team would need to be direct Board Editors on the boards to move. |
teamId | string | No | — | Unique identifier (ID) of the team where the board must be placed. Note: On Enterprise plan, boards can be moved via API by Board Owners, Co-Owners, and Content Admins. This behavior differs from the Miro UI, where only Board Owners can move boards. This difference is intentional and works as designed. On non-Enterprise plans, only Board Owners can move boards between teams—both via the API and the Miro UI. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"description": {
"type": "string",
"description": "Description of the board."
},
"name": {
"type": "string",
"description": "Name for the board."
},
"policy": {
"type": "object",
"description": "Defines the permissions policies and sharing policies for the board.",
"properties": {
"permissionsPolicy": {
"type": "object",
"description": "Defines the permissions policies for the board."
},
"sharingPolicy": {
"type": "object",
"description": "Defines the public-level, organization-level, and team-level access for the board. The access level that a user gets depends on the highest level of access that results from considering the public-level, team-level, organization-level, and direct sharing access."
}
}
},
"projectId": {
"type": "string",
"description": "Unique identifier (ID) of the project to which the board must be added. **Note**: Projects have been renamed to Spaces. Use this parameter to update the space. For Starter and Edu plans, Team Admins looking to move boards between Spaces/Projects of the same team would need to be direct Board Editors on the boards to move."
},
"teamId": {
"type": "string",
"description": "Unique identifier (ID) of the team where the board must be placed. **Note**: On Enterprise plan, boards can be moved via API by Board Owners, Co-Owners, and Content Admins. This behavior differs from the Miro UI, where only Board Owners can move boards. This difference is **intentional** and works as designed. On non-Enterprise plans, only Board Owners can move boards between teams—both via the API and the Miro UI."
}
},
"required": [
"PCID"
]
}
miro_boards_create_connector
Create connector Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board for which you want to create the connector. |
captions | object[] | No | — | Blocks of text you want to display on the connector. |
endItem | object | Yes | — | The end point of the connector. endItem.id must be different from startItem.id |
shape | string | No | — | The path type of the connector line, defines curvature. Default: curved. |
startItem | object | Yes | — | The end point of the connector. endItem.id must be different from startItem.id |
style | object | No | — | Contains information about the style of a connector, such as the color or caption font size |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board for which you want to create the connector."
},
"captions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"content": {
"type": "string",
"description": "The text you want to display on the connector. Supports inline HTML tags."
},
"position": {
"type": "string",
"description": "The relative position of the text on the connector, in percentage, minimum 0%, maximum 100%. With 50% value, the text will be placed in the middle of the connector line. Default: 50%"
},
"textAlignVertical": {
"type": "string",
"enum": [
"top",
"middle",
"bottom"
],
"description": "The vertical position of the text on the connector. Default: middle"
}
},
"required": [
"content"
]
},
"description": "Blocks of text you want to display on the connector."
},
"endItem": {
"type": "object",
"description": "The end point of the connector. endItem.id must be different from startItem.id",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier (ID) of the item to which you want to attach the connector. Note that Frames are not supported at the moment."
},
"position": {
"type": "object",
"description": "The relative position of the point on an item where the connector is attached. Position with x=0% and y=0% correspond to the top-left corner of the item, x=100% and y=100% correspond to the right-bottom corner."
},
"snapTo": {
"type": "string",
"description": "The side of the item connector should be attached to, the connection point will be placed in the middle of that side. Option `auto` allows to pick a connection point automatically. Only either `position` or `snapTo` parameter is allowed to be set, if neither provided `snapTo: auto` will be used by default.",
"enum": [
"auto",
"top",
"right",
"bottom",
"left"
]
}
}
},
"shape": {
"type": "string",
"description": "The path type of the connector line, defines curvature. Default: curved.",
"enum": [
"straight",
"elbowed",
"curved"
]
},
"startItem": {
"type": "object",
"description": "The end point of the connector. endItem.id must be different from startItem.id",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier (ID) of the item to which you want to attach the connector. Note that Frames are not supported at the moment."
},
"position": {
"type": "object",
"description": "The relative position of the point on an item where the connector is attached. Position with x=0% and y=0% correspond to the top-left corner of the item, x=100% and y=100% correspond to the right-bottom corner."
},
"snapTo": {
"type": "string",
"description": "The side of the item connector should be attached to, the connection point will be placed in the middle of that side. Option `auto` allows to pick a connection point automatically. Only either `position` or `snapTo` parameter is allowed to be set, if neither provided `snapTo: auto` will be used by default.",
"enum": [
"auto",
"top",
"right",
"bottom",
"left"
]
}
}
},
"style": {
"type": "object",
"description": "Contains information about the style of a connector, such as the color or caption font size",
"properties": {
"color": {
"type": "string",
"description": "Hex value representing the color for the captions on the connector. Default: `#1a1a1a`"
},
"endStrokeCap": {
"type": "string",
"description": "The decoration cap of the connector end, like an arrow or circle. Default: stealth.",
"enum": [
"none",
"stealth",
"rounded_stealth",
"diamond",
"filled_diamond",
"oval",
"filled_oval",
"arrow",
"triangle",
"filled_triangle",
"erd_one",
"erd_many",
"erd_only_one",
"erd_zero_or_one",
"erd_one_or_many",
"erd_zero_or_many",
"unknown"
]
},
"fontSize": {
"type": "string",
"description": "Defines the font size, in dp, for the captions on the connector. Default: 14"
},
"startStrokeCap": {
"type": "string",
"description": "The decoration cap of the connector end, like an arrow or circle. Default: none.",
"enum": [
"none",
"stealth",
"rounded_stealth",
"diamond",
"filled_diamond",
"oval",
"filled_oval",
"arrow",
"triangle",
"filled_triangle",
"erd_one",
"erd_many",
"erd_only_one",
"erd_zero_or_one",
"erd_one_or_many",
"erd_zero_or_many",
"unknown"
]
},
"strokeColor": {
"type": "string",
"description": "Hex value of the color of the connector line. Default: #000000."
},
"strokeStyle": {
"type": "string",
"description": "The stroke pattern of the connector line. Default: normal.",
"enum": [
"normal",
"dotted",
"dashed"
]
},
"strokeWidth": {
"type": "string",
"description": "The thickness of the connector line, in dp. Default: 1.0."
},
"textOrientation": {
"type": "string",
"description": "The captions orientation relatively to the connector line curvature. Default: aligned.",
"enum": [
"horizontal",
"aligned"
]
}
}
}
},
"required": [
"PCID",
"board_id",
"endItem",
"startItem"
]
}
miro_boards_create_frame_item
Create frame Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board where you want to create a frame. |
data | object | Yes | — | Contains frame item data, such as the title, frame type, or frame format. |
geometry | object | No | — | Contains geometrical information about the item, such as its width or height. |
position | object | No | — | Contains information about the item’s position on the board, such as its x coordinate, y coordinate, and the origin of the x and y coordinates. |
style | object | No | — | Contains information about the style of a frame item, such as the fill color. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board where you want to create a frame."
},
"data": {
"type": "object",
"description": "Contains frame item data, such as the title, frame type, or frame format.",
"properties": {
"format": {
"type": "string",
"description": "Only custom frames are supported at the moment.",
"enum": [
"custom"
]
},
"title": {
"type": "string",
"description": "Title of the frame. This title appears at the top of the frame."
},
"type": {
"type": "string",
"description": "Only free form frames are supported at the moment.",
"enum": [
"freeform"
]
},
"showContent": {
"type": "boolean",
"description": "Hide or reveal the content inside a frame (Enterprise plan only)."
}
}
},
"geometry": {
"type": "object",
"description": "Contains geometrical information about the item, such as its width or height.",
"properties": {
"height": {
"type": "number",
"description": "Height of the item, in pixels."
},
"width": {
"type": "number",
"description": "Width of the item, in pixels."
}
}
},
"position": {
"type": "object",
"description": "Contains information about the item's position on the board, such as its `x` coordinate, `y` coordinate, and the origin of the `x` and `y` coordinates.",
"properties": {
"x": {
"type": "number",
"description": "X-axis coordinate of the location of the item on the board. By default, all items have absolute positioning to the board, not the current viewport. Default: `0`. The center point of the board has `x: 0` and `y: 0` coordinates."
},
"y": {
"type": "number",
"description": "Y-axis coordinate of the location of the item on the board. By default, all items have absolute positioning to the board, not the current viewport. Default: `0`. The center point of the board has `x: 0` and `y: 0` coordinates."
}
}
},
"style": {
"type": "object",
"description": "Contains information about the style of a frame item, such as the fill color.",
"properties": {
"fillColor": {
"type": "string",
"description": "Fill color for the frame. Hex values: `#f5f6f8` `#d5f692` `#d0e17a` `#93d275` `#67c6c0` `#23bfe7` `#a6ccf5` `#7b92ff` `#fff9b1` `#f5d128` `#ff9d48` `#f16c7f` `#ea94bb` `#ffcee0` `#b384bb` `#000000` Default: #ffffffff (transparent)."
}
}
}
},
"required": [
"PCID",
"board_id",
"data"
]
}
miro_boards_create_group
Create group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board |
description | string | No | — | User group description |
id | string | Yes | — | User group ID |
name | string | Yes | — | User group name |
type | string | Yes | — | Object type |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "[Unique identifier (ID) of the board](https://developers.miro.com/reference/board-model)"
},
"description": {
"type": "string",
"description": "User group description"
},
"id": {
"type": "string",
"description": "User group ID"
},
"name": {
"type": "string",
"description": "User group name"
},
"type": {
"type": "string",
"description": "Object type"
}
},
"required": [
"PCID",
"board_id",
"id",
"name",
"type"
]
}
miro_boards_create_items
Create items in bulk Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board where you want to create the item. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board where you want to create the item."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"app_card",
"text",
"shape",
"sticky_note",
"image",
"document",
"card",
"frame",
"embed"
],
"description": "Type of item that you want to create."
},
"data": {
"type": "object",
"description": "Contains data information applicable for each item type."
},
"style": {
"type": "object",
"description": "Contains information about item-specific styles."
},
"position": {
"type": "object",
"description": "Contains information about the item's position on the board, such as its `x` coordinate, `y` coordinate, and the origin of the `x` and `y` coordinates."
},
"geometry": {
"type": "object",
"description": "Contains geometrical information about the item, such as its width or height."
},
"parent": {
"type": "object",
"description": "Contains information about the parent frame for the item."
}
},
"required": [
"type"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"board_id",
"body"
]
}
miro_boards_create_items_in_bulk_using_file_from_device
Create items in bulk using file from device Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board where you want to create the item. |
data | string | Yes | — | JSON file containing bulk data, where each object represents an item to be created. For details, see JSON file example. |
resources | string[] | Yes | — | Array of items to create (PDFs, images, etc.). Maximum of 20 items. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board where you want to create the item."
},
"data": {
"type": "string",
"description": "JSON file containing bulk data, where each object represents an item to be created. For details, see [JSON file example](https://developers.miro.com/reference/json-data-example)."
},
"resources": {
"type": "array",
"items": {
"type": "string",
"format": "binary"
},
"description": "Array of items to create (PDFs, images, etc.). Maximum of 20 items."
}
},
"required": [
"PCID",
"board_id",
"data",
"resources"
]
}
miro_boards_create_tag
Create tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board where you want to create the tag. |
fillColor | string | No | — | Fill color for the tag. |
title | string | Yes | — | Text of the tag. Case-sensitive. Must be unique. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board where you want to create the tag."
},
"fillColor": {
"type": "string",
"description": "Fill color for the tag.",
"enum": [
"red",
"light_green",
"cyan",
"yellow",
"magenta",
"green",
"blue",
"gray",
"violet",
"dark_green",
"dark_blue",
"black"
]
},
"title": {
"type": "string",
"description": "Text of the tag. Case-sensitive. Must be unique."
}
},
"required": [
"PCID",
"board_id",
"title"
]
}
miro_boards_delete_board
Delete board Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board that you want to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board that you want to delete."
}
},
"required": [
"PCID",
"board_id"
]
}
miro_boards_delete_connector
Delete connector Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board from which you want to delete the connector. |
connector_id | string | Yes | — | Unique identifier (ID) of the connector that you want to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board from which you want to delete the connector."
},
"connector_id": {
"type": "string",
"description": "Unique identifier (ID) of the connector that you want to delete."
}
},
"required": [
"PCID",
"board_id",
"connector_id"
]
}
miro_boards_delete_frame_item
Delete frame Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board from which you want to delete the frame. |
item_id | string | Yes | — | Unique identifier (ID) of the frame that you want to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board from which you want to delete the frame."
},
"item_id": {
"type": "string",
"description": "Unique identifier (ID) of the frame that you want to delete."
}
},
"required": [
"PCID",
"board_id",
"item_id"
]
}
miro_boards_delete_group
Deletes the group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board. |
group_id | string | Yes | — | Unique identifier (ID) of the group. |
delete_items | boolean | Yes | — | Indicates whether the items should be removed. Set to true to delete items in the group. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board."
},
"group_id": {
"type": "string",
"description": "Unique identifier (ID) of the group."
},
"delete_items": {
"type": "boolean",
"description": "Indicates whether the items should be removed. Set to `true` to delete items in the group."
}
},
"required": [
"PCID",
"board_id",
"group_id",
"delete_items"
]
}
miro_boards_delete_item
Delete item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board from which you want to delete the item. |
item_id | string | Yes | — | Unique identifier (ID) of the item that you want to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board from which you want to delete the item."
},
"item_id": {
"type": "string",
"description": "Unique identifier (ID) of the item that you want to delete."
}
},
"required": [
"PCID",
"board_id",
"item_id"
]
}
miro_boards_delete_tag
Delete tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board where you want to delete a specific tag. |
tag_id | string | Yes | — | Unique identifier (ID) of the tag that you want to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board where you want to delete a specific tag."
},
"tag_id": {
"type": "string",
"description": "Unique identifier (ID) of the tag that you want to delete."
}
},
"required": [
"PCID",
"board_id",
"tag_id"
]
}
miro_boards_get_all_groups
Get all groups on a board Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board. |
limit | integer | No | — | The maximum number of items to return at one time, default is 10, maximum is 50. |
cursor | string | No | — | Pagination cursor from a previous response |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board."
},
"limit": {
"type": "integer",
"description": "The maximum number of items to return at one time, default is 10, maximum is 50."
},
"cursor": {
"type": "string",
"description": "Pagination cursor from a previous response"
}
},
"required": [
"PCID",
"board_id"
]
}
miro_boards_get_board_members
Get all board members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | string | No | — | The maximum number of board members to retrieve. Default: 20. |
offset | string | No | — | The (zero-based) offset of the first item in the collection to return. Default: 0. |
board_id | string | Yes | — | Unique identifier (ID) of the board to which the board member belongs. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "string",
"description": "The maximum number of board members to retrieve. Default: `20`."
},
"offset": {
"type": "string",
"description": "The (zero-based) offset of the first item in the collection to return. Default: `0`."
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board to which the board member belongs."
}
},
"required": [
"PCID",
"board_id"
]
}
miro_boards_get_boards
Get boards Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
team_id | string | No | — | The team_id for which you want to retrieve the list of boards. If this parameter is sent in the request, the query and owner parameters are ignored. |
project_id | string | No | — | The project_id for which you want to retrieve the list of boards.<br/>Note: Projects have been renamed to Spaces. Use this as the unique identifier (ID) of the space. If this parameter is included in the request, the query and owner parameters are ignored. |
query | string | No | — | Retrieves a list of boards that contain the query string provided in the board name or board description. For example, if you want to retrieve a list of boards that have the word beta in the board name or description, add beta as the query parameter value. You can use the query parameter with the owner parameter to narrow down the board search results. |
owner | string | No | — | Retrieves a list of boards that belong to a specific owner ID. You must pass the owner ID (for example, 3074457353169356300), not the owner name. You can use the ‘owner’ parameter with the query parameter to narrow down the board search results. Note that if you pass the team_id in the same request, the owner parameter is ignored. |
limit | string | No | — | The maximum number of boards to retrieve. Default: 20 |
offset | string | No | — | The (zero-based) offset of the first item in the collection to return. Default: 0. |
sort | string | No | — | Sort order in which you want to view the result set. The parameter is applicable only when you search for boards by team or project. * default - If team_id is present, last_created. Otherwise, last_opened. * last_modified - sort by the date and time when the board was last modified. * last_opened - sort by the date and time when the board was last opened. * last_created - sort by the date and time when the board was created. * alphabetically - sort by the board name (alphabetically). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"team_id": {
"type": "string",
"description": "The team_id for which you want to retrieve the list of boards. If this parameter is sent in the request, the `query` and `owner` parameters are ignored."
},
"project_id": {
"type": "string",
"description": "The `project_id` for which you want to retrieve the list of boards.<br/>**Note:** Projects have been renamed to Spaces. Use this as the unique identifier (ID) of the space. If this parameter is included in the request, the `query` and `owner` parameters are ignored."
},
"query": {
"type": "string",
"description": "Retrieves a list of boards that contain the query string provided in the board name or board description. For example, if you want to retrieve a list of boards that have the word `beta` in the board name or description, add `beta` as the `query` parameter value. You can use the `query` parameter with the owner parameter to narrow down the board search results."
},
"owner": {
"type": "string",
"description": "Retrieves a list of boards that belong to a specific owner ID. You must pass the owner ID (for example, 3074457353169356300), not the owner name. You can use the 'owner' parameter with the `query` parameter to narrow down the board search results. Note that if you pass the `team_id` in the same request, the `owner` parameter is ignored."
},
"limit": {
"type": "string",
"description": "The maximum number of boards to retrieve. Default: `20`"
},
"offset": {
"type": "string",
"description": "The (zero-based) offset of the first item in the collection to return. Default: `0`."
},
"sort": {
"type": "string",
"description": "Sort order in which you want to view the result set. The parameter is applicable only when you search for boards by team or project. * `default` - If `team_id` is present, `last_created`. Otherwise, `last_opened`. * `last_modified` - sort by the date and time when the board was last modified. * `last_opened` - sort by the date and time when the board was last opened. * `last_created` - sort by the date and time when the board was created. * `alphabetically` - sort by the board name (alphabetically).",
"enum": [
"default",
"last_modified",
"last_opened",
"last_created",
"alphabetically"
]
}
},
"required": [
"PCID"
]
}
miro_boards_get_connector
Get specific connector Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board from which you want to retrieve a specific connector. |
connector_id | string | Yes | — | Unique identifier (ID) of the connector that you want to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board from which you want to retrieve a specific connector."
},
"connector_id": {
"type": "string",
"description": "Unique identifier (ID) of the connector that you want to retrieve."
}
},
"required": [
"PCID",
"board_id",
"connector_id"
]
}
miro_boards_get_connectors
Get connectors Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | string | No | — | The maximum number of results to return per call. If the number of connectors in the response is greater than the limit specified, the response returns the cursor parameter with a value. |
cursor | string | No | — | A cursor-paginated method returns a portion of the total set of results based on the limit specified and a cursor that points to the next portion of the results. To retrieve the next portion of the collection, set the cursor parameter equal to the cursor value you received in the response of the previous request. |
board_id | string | Yes | — | Unique identifier (ID) of the board from which you want to retrieve a list of connectors. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "string",
"description": "The maximum number of results to return per call. If the number of connectors in the response is greater than the limit specified, the response returns the cursor parameter with a value."
},
"cursor": {
"type": "string",
"description": "A cursor-paginated method returns a portion of the total set of results based on the limit specified and a `cursor` that points to the next portion of the results. To retrieve the next portion of the collection, set the `cursor` parameter equal to the `cursor` value you received in the response of the previous request."
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board from which you want to retrieve a list of connectors."
}
},
"required": [
"PCID",
"board_id"
]
}
miro_boards_get_frame_item
Get frame Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board that contains the frame that you want to retrieve |
item_id | string | Yes | — | Unique identifier (ID) of the frame that you want to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board that contains the frame that you want to retrieve"
},
"item_id": {
"type": "string",
"description": "Unique identifier (ID) of the frame that you want to retrieve."
}
},
"required": [
"PCID",
"board_id",
"item_id"
]
}
miro_boards_get_group_by_id
Get a group by its ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board. |
group_id | string | Yes | — | Unique identifier (ID) of the group. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board."
},
"group_id": {
"type": "string",
"description": "Unique identifier (ID) of the group."
}
},
"required": [
"PCID",
"board_id",
"group_id"
]
}
miro_boards_get_items
Get items on board Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | string | No | — | The maximum number of results to return per call. If the number of items in the response is greater than the limit specified, the response returns the cursor parameter with a value. |
type | string | No | — | If you want to get a list of items of a specific type, specify an item type. For example, if you want to retrieve the list of card items, set type to cards. A document is meant for uploaded documents like PDFs while doc_format is a Miro structured document similar to a Google Doc. Possible values: app_card, card, data_table_format, document, embed, frame, image, shape, sticky_note, text, doc_format |
cursor | string | No | — | A cursor-paginated method returns a portion of the total set of results based on the limit specified and a cursor that points to the next portion of the results. To retrieve the next portion of the collection, set the cursor parameter equal to the cursor value you received in the response of the previous request. |
board_id | string | Yes | — | Unique identifier (ID) of the board for which you want to retrieve the list of available items. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "string",
"description": "The maximum number of results to return per call. If the number of items in the response is greater than the limit specified, the response returns the cursor parameter with a value."
},
"type": {
"type": "string",
"description": "If you want to get a list of items of a specific type, specify an item type. For example, if you want to retrieve the list of card items, set `type` to `cards`. A `document` is meant for uploaded documents like PDFs while `doc_format` is a Miro structured document similar to a Google Doc. Possible values: `app_card`, `card`, `data_table_format`, `document`, `embed`, `frame`, `image`, `shape`, `sticky_note`, `text`, `doc_format`",
"enum": [
"text",
"shape",
"sticky_note",
"image",
"document",
"card",
"app_card",
"preview",
"frame",
"embed",
"doc_format",
"data_table_format"
]
},
"cursor": {
"type": "string",
"description": "A cursor-paginated method returns a portion of the total set of results based on the limit specified and a `cursor` that points to the next portion of the results. To retrieve the next portion of the collection, set the `cursor` parameter equal to the `cursor` value you received in the response of the previous request."
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board for which you want to retrieve the list of available items."
}
},
"required": [
"PCID",
"board_id"
]
}
miro_boards_get_items_by_group_id
Get items of a group by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board. |
limit | integer | No | — | The maximum number of items to return at one time, default is 10, maximum is 50. |
cursor | string | No | — | Pagination cursor from a previous response |
group_item_id | string | Yes | — | The ID of the group item to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board."
},
"limit": {
"type": "integer",
"description": "The maximum number of items to return at one time, default is 10, maximum is 50."
},
"cursor": {
"type": "string",
"description": "Pagination cursor from a previous response"
},
"group_item_id": {
"type": "string",
"description": "The ID of the group item to retrieve."
}
},
"required": [
"PCID",
"board_id",
"group_item_id"
]
}
miro_boards_get_items_by_tag
Get items by tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | string | No | — | The maximum number of items that can be returned for a single request. Default: 20. |
offset | string | No | — | The displacement of the first item in the collection to return. Default: 0. |
board_id_PlatformTags | string | Yes | — | Unique identifier (ID) of the board where you want to retrieve a specific tag. |
tag_id | string | Yes | — | Unique identifier (ID) of the tag that you want to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "string",
"description": "The maximum number of items that can be returned for a single request. Default: `20`."
},
"offset": {
"type": "string",
"description": "The displacement of the first item in the collection to return. Default: `0`."
},
"board_id_PlatformTags": {
"type": "string",
"description": "Unique identifier (ID) of the board where you want to retrieve a specific tag."
},
"tag_id": {
"type": "string",
"description": "Unique identifier (ID) of the tag that you want to retrieve."
}
},
"required": [
"PCID",
"board_id_PlatformTags",
"tag_id"
]
}
miro_boards_get_items_within_frame
Get items within frame Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id_PlatformContainers | string | Yes | — | Unique identifier (ID) of the board that contains the frame for which you want to retrieve the list of available items. |
parent_item_id | string | Yes | — | ID of the frame for which you want to retrieve the list of available items. |
limit | string | No | — | The maximum number of results to return per call. If the number of items in the response is greater than the limit specified, the response returns the cursor parameter with a value. |
type | string | No | — | If you want to get a list of items of a specific type, specify an item type. For example, if you want to retrieve the list of card items, set type to cards. Possible values: app_card, card, document, embed, frame, image, shape, sticky_note, text |
cursor | string | No | — | A cursor-paginated method returns a portion of the total set of results based on the limit specified and a cursor that points to the next portion of the results. To retrieve the next portion of the collection, set the cursor parameter equal to the cursor value you received in the response of the previous request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id_PlatformContainers": {
"type": "string",
"description": "Unique identifier (ID) of the board that contains the frame for which you want to retrieve the list of available items."
},
"parent_item_id": {
"type": "string",
"description": "ID of the frame for which you want to retrieve the list of available items."
},
"limit": {
"type": "string",
"description": "The maximum number of results to return per call. If the number of items in the response is greater than the limit specified, the response returns the cursor parameter with a value."
},
"type": {
"type": "string",
"description": "If you want to get a list of items of a specific type, specify an item type. For example, if you want to retrieve the list of card items, set `type` to `cards`. Possible values: `app_card`, `card`, `document`, `embed`, `frame`, `image`, `shape`, `sticky_note`, `text`"
},
"cursor": {
"type": "string",
"description": "A cursor-paginated method returns a portion of the total set of results based on the limit specified and a `cursor` that points to the next portion of the results. To retrieve the next portion of the collection, set the `cursor` parameter equal to the `cursor` value you received in the response of the previous request."
}
},
"required": [
"PCID",
"board_id_PlatformContainers",
"parent_item_id"
]
}
miro_boards_get_specific_board
Get specific board Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board that you want to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board that you want to retrieve."
}
},
"required": [
"PCID",
"board_id"
]
}
miro_boards_get_specific_board_member
Get specific board member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board to which the board member belongs. |
board_member_id | string | Yes | — | Unique identifier (ID) of the board member whose role you want to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board to which the board member belongs."
},
"board_member_id": {
"type": "string",
"description": "Unique identifier (ID) of the board member whose role you want to retrieve."
}
},
"required": [
"PCID",
"board_id",
"board_member_id"
]
}
miro_boards_get_specific_item
Get specific item on board Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board from which you want to retrieve a specific item. |
item_id | string | Yes | — | Unique identifier (ID) of the item that you want to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board from which you want to retrieve a specific item."
},
"item_id": {
"type": "string",
"description": "Unique identifier (ID) of the item that you want to retrieve."
}
},
"required": [
"PCID",
"board_id",
"item_id"
]
}
miro_boards_get_tag
Get tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board where you want to retrieve a specific tag. |
tag_id | string | Yes | — | Unique identifier (ID) of the tag that you want to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board where you want to retrieve a specific tag."
},
"tag_id": {
"type": "string",
"description": "Unique identifier (ID) of the tag that you want to retrieve."
}
},
"required": [
"PCID",
"board_id",
"tag_id"
]
}
miro_boards_get_tags_from_board
Get tags from board Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | string | No | — | The maximum number of items that can be returned for a single request. Default: 20. |
offset | string | No | — | The displacement of the first item in the collection to return. Default: 0. |
board_id | string | Yes | — | Unique identifier (ID) of the board whose tags you want to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "string",
"description": "The maximum number of items that can be returned for a single request. Default: `20`."
},
"offset": {
"type": "string",
"description": "The displacement of the first item in the collection to return. Default: `0`."
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board whose tags you want to retrieve."
}
},
"required": [
"PCID",
"board_id"
]
}
miro_boards_get_tags_from_item
Get tags from item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board with the item whose tags you want to retrieve. |
item_id | string | Yes | — | Unique identifier (ID) of the item whose tags you want to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board with the item whose tags you want to retrieve."
},
"item_id": {
"type": "string",
"description": "Unique identifier (ID) of the item whose tags you want to retrieve."
}
},
"required": [
"PCID",
"board_id",
"item_id"
]
}
miro_boards_remove_board_member
Remove board member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board from which you want to delete an item. |
board_member_id | string | Yes | — | Unique identifier (ID) of the board member whose role you want to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board from which you want to delete an item."
},
"board_member_id": {
"type": "string",
"description": "Unique identifier (ID) of the board member whose role you want to delete."
}
},
"required": [
"PCID",
"board_id",
"board_member_id"
]
}
miro_boards_remove_tag_from_item
Remove tag from item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id_PlatformTags | string | Yes | — | Unique identifier (ID) of the board with the item that you want to remove a tag from. |
item_id | string | Yes | — | Unique identifier (ID) of the item that you want to remove the tag from. |
tag_id | string | Yes | — | Unique identifier (ID) of the tag that you want to remove from the item. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id_PlatformTags": {
"type": "string",
"description": "Unique identifier (ID) of the board with the item that you want to remove a tag from."
},
"item_id": {
"type": "string",
"description": "Unique identifier (ID) of the item that you want to remove the tag from."
},
"tag_id": {
"type": "string",
"description": "Unique identifier (ID) of the tag that you want to remove from the item."
}
},
"required": [
"PCID",
"board_id_PlatformTags",
"item_id",
"tag_id"
]
}
miro_boards_share_board
Share board Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board to which the board member belongs. |
emails | string[] | Yes | — | Email IDs of the users you want to invite to the board. You can invite up to 20 members per call. |
message | string | No | — | The message that will be sent in the invitation email. |
role | string | No | — | Role of the board member. Inviting users with the role owner has the same effect as the role coowner. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board to which the board member belongs."
},
"emails": {
"type": "array",
"items": {
"type": "string"
},
"description": "Email IDs of the users you want to invite to the board. You can invite up to 20 members per call."
},
"message": {
"type": "string",
"description": "The message that will be sent in the invitation email."
},
"role": {
"type": "string",
"description": "Role of the board member. Inviting users with the role `owner` has the same effect as the role `coowner`.",
"enum": [
"viewer",
"commenter",
"editor",
"coowner",
"owner"
]
}
},
"required": [
"PCID",
"board_id",
"emails"
]
}
miro_boards_un_group
Ungroup items Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board. |
group_id | string | Yes | — | Unique identifier (ID) of the group. |
delete_items | boolean | No | — | Indicates whether the items should be removed. By default, false. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board."
},
"group_id": {
"type": "string",
"description": "Unique identifier (ID) of the group."
},
"delete_items": {
"type": "boolean",
"description": "Indicates whether the items should be removed. By default, false."
}
},
"required": [
"PCID",
"board_id",
"group_id"
]
}
miro_boards_update_board
Update board Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board that you want to update. |
description | string | No | — | Description of the board. |
name | string | No | — | Name for the board. |
policy | object | No | — | Defines the permissions policies and sharing policies for the board. |
projectId | string | No | — | Unique identifier (ID) of the project to which the board must be added. Note: Projects have been renamed to Spaces. Use this parameter to update the space. For Starter and Edu plans, Team Admins looking to move boards between Spaces/Projects of the same team would need to be direct Board Editors on the boards to move. |
teamId | string | No | — | Unique identifier (ID) of the team where the board must be placed. Note: On Enterprise plan, boards can be moved via API by Board Owners, Co-Owners, and Content Admins. This behavior differs from the Miro UI, where only Board Owners can move boards. This difference is intentional and works as designed. On non-Enterprise plans, only Board Owners can move boards between teams—both via the API and the Miro UI. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board that you want to update."
},
"description": {
"type": "string",
"description": "Description of the board."
},
"name": {
"type": "string",
"description": "Name for the board."
},
"policy": {
"type": "object",
"description": "Defines the permissions policies and sharing policies for the board.",
"properties": {
"permissionsPolicy": {
"type": "object",
"description": "Defines the permissions policies for the board."
},
"sharingPolicy": {
"type": "object",
"description": "Defines the public-level, organization-level, and team-level access for the board. The access level that a user gets depends on the highest level of access that results from considering the public-level, team-level, organization-level, and direct sharing access."
}
}
},
"projectId": {
"type": "string",
"description": "Unique identifier (ID) of the project to which the board must be added. **Note**: Projects have been renamed to Spaces. Use this parameter to update the space. For Starter and Edu plans, Team Admins looking to move boards between Spaces/Projects of the same team would need to be direct Board Editors on the boards to move."
},
"teamId": {
"type": "string",
"description": "Unique identifier (ID) of the team where the board must be placed. **Note**: On Enterprise plan, boards can be moved via API by Board Owners, Co-Owners, and Content Admins. This behavior differs from the Miro UI, where only Board Owners can move boards. This difference is **intentional** and works as designed. On non-Enterprise plans, only Board Owners can move boards between teams—both via the API and the Miro UI."
}
},
"required": [
"PCID",
"board_id"
]
}
miro_boards_update_board_member
Update board member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board for which you want to update the role of the board member. |
board_member_id | string | Yes | — | Unique identifier (ID) of the board member whose role you want to update. |
role | string | No | — | Role of the board member. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board for which you want to update the role of the board member."
},
"board_member_id": {
"type": "string",
"description": "Unique identifier (ID) of the board member whose role you want to update."
},
"role": {
"type": "string",
"description": "Role of the board member.",
"enum": [
"viewer",
"commenter",
"editor",
"coowner",
"owner"
]
}
},
"required": [
"PCID",
"board_id",
"board_member_id"
]
}
miro_boards_update_connector
Update connector Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board for which you want to update the connector. |
connector_id | string | Yes | — | Unique identifier (ID) of the connector that you want to update. |
captions | object[] | No | — | Blocks of text you want to display on the connector. |
endItem | object | No | — | The ending point of the connector. If startItem is also provided, endItem.id must be different from startItem.id |
shape | string | No | — | The path type of the connector line, defines curvature. Default: curved. |
startItem | object | No | — | The ending point of the connector. If startItem is also provided, endItem.id must be different from startItem.id |
style | object | No | — | Contains information about the style of a connector, such as the color or caption font size |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board for which you want to update the connector."
},
"connector_id": {
"type": "string",
"description": "Unique identifier (ID) of the connector that you want to update."
},
"captions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"content": {
"type": "string",
"description": "The text you want to display on the connector. Supports inline HTML tags."
},
"position": {
"type": "string",
"description": "The relative position of the text on the connector, in percentage, minimum 0%, maximum 100%. With 50% value, the text will be placed in the middle of the connector line. Default: 50%"
},
"textAlignVertical": {
"type": "string",
"enum": [
"top",
"middle",
"bottom"
],
"description": "The vertical position of the text on the connector. Default: middle"
}
},
"required": [
"content"
]
},
"description": "Blocks of text you want to display on the connector."
},
"endItem": {
"type": "object",
"description": "The ending point of the connector. If startItem is also provided, endItem.id must be different from startItem.id",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier (ID) of the item to which you want to attach the connector. Note that Frames are not supported at the moment."
},
"position": {
"type": "object",
"description": "The relative position of the point on an item where the connector is attached. Position with x=0% and y=0% correspond to the top-left corner of the item, x=100% and y=100% correspond to the right-bottom corner."
},
"snapTo": {
"type": "string",
"description": "The side of the item connector should be attached to, the connection point will be placed in the middle of that side. Option `auto` allows to pick a connection point automatically. Only either `position` or `snapTo` parameter is allowed to be set, if neither provided `snapTo: auto` will be used by default.",
"enum": [
"auto",
"top",
"right",
"bottom",
"left"
]
}
}
},
"shape": {
"type": "string",
"description": "The path type of the connector line, defines curvature. Default: curved.",
"enum": [
"straight",
"elbowed",
"curved"
]
},
"startItem": {
"type": "object",
"description": "The ending point of the connector. If startItem is also provided, endItem.id must be different from startItem.id",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier (ID) of the item to which you want to attach the connector. Note that Frames are not supported at the moment."
},
"position": {
"type": "object",
"description": "The relative position of the point on an item where the connector is attached. Position with x=0% and y=0% correspond to the top-left corner of the item, x=100% and y=100% correspond to the right-bottom corner."
},
"snapTo": {
"type": "string",
"description": "The side of the item connector should be attached to, the connection point will be placed in the middle of that side. Option `auto` allows to pick a connection point automatically. Only either `position` or `snapTo` parameter is allowed to be set, if neither provided `snapTo: auto` will be used by default.",
"enum": [
"auto",
"top",
"right",
"bottom",
"left"
]
}
}
},
"style": {
"type": "object",
"description": "Contains information about the style of a connector, such as the color or caption font size",
"properties": {
"color": {
"type": "string",
"description": "Hex value representing the color for the captions on the connector."
},
"endStrokeCap": {
"type": "string",
"description": "The decoration cap of the connector end, like an arrow or circle.",
"enum": [
"none",
"stealth",
"rounded_stealth",
"diamond",
"filled_diamond",
"oval",
"filled_oval",
"arrow",
"triangle",
"filled_triangle",
"erd_one",
"erd_many",
"erd_only_one",
"erd_zero_or_one",
"erd_one_or_many",
"erd_zero_or_many",
"unknown"
]
},
"fontSize": {
"type": "string",
"description": "Defines the font size, in dp, for the captions on the connector."
},
"startStrokeCap": {
"type": "string",
"description": "The decoration cap of the connector end, like an arrow or circle.",
"enum": [
"none",
"stealth",
"rounded_stealth",
"diamond",
"filled_diamond",
"oval",
"filled_oval",
"arrow",
"triangle",
"filled_triangle",
"erd_one",
"erd_many",
"erd_only_one",
"erd_zero_or_one",
"erd_one_or_many",
"erd_zero_or_many",
"unknown"
]
},
"strokeColor": {
"type": "string",
"description": "Hex value of the color of the connector line."
},
"strokeStyle": {
"type": "string",
"description": "The stroke pattern of the connector line.",
"enum": [
"normal",
"dotted",
"dashed"
]
},
"strokeWidth": {
"type": "string",
"description": "The thickness of the connector line, in dp."
},
"textOrientation": {
"type": "string",
"description": "The captions orientation relatively to the connector line curvature.",
"enum": [
"horizontal",
"aligned"
]
}
}
}
},
"required": [
"PCID",
"board_id",
"connector_id"
]
}
miro_boards_update_frame_item
Update frame Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board where you want to update the frame. |
item_id | string | Yes | — | Unique identifier (ID) of the frame that you want to update. |
data | object | No | — | Contains frame item data, such as the title, frame type, or frame format. |
geometry | object | No | — | Contains geometrical information about the item, such as its width or height. |
position | object | No | — | Contains information about the item’s position on the board, such as its x coordinate, y coordinate, and the origin of the x and y coordinates. |
style | object | No | — | Contains information about the style of a frame item, such as the fill color. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board where you want to update the frame."
},
"item_id": {
"type": "string",
"description": "Unique identifier (ID) of the frame that you want to update."
},
"data": {
"type": "object",
"description": "Contains frame item data, such as the title, frame type, or frame format.",
"properties": {
"format": {
"type": "string",
"description": "Only custom frames are supported at the moment.",
"enum": [
"custom"
]
},
"title": {
"type": "string",
"description": "Title of the frame. This title appears at the top of the frame."
},
"type": {
"type": "string",
"description": "Only free form frames are supported at the moment.",
"enum": [
"freeform"
]
},
"showContent": {
"type": "boolean",
"description": "Hide or reveal the content inside a frame (Enterprise plan only)."
}
}
},
"geometry": {
"type": "object",
"description": "Contains geometrical information about the item, such as its width or height.",
"properties": {
"height": {
"type": "number",
"description": "Height of the item, in pixels."
},
"width": {
"type": "number",
"description": "Width of the item, in pixels."
}
}
},
"position": {
"type": "object",
"description": "Contains information about the item's position on the board, such as its `x` coordinate, `y` coordinate, and the origin of the `x` and `y` coordinates.",
"properties": {
"x": {
"type": "number",
"description": "X-axis coordinate of the location of the item on the board. By default, all items have absolute positioning to the board, not the current viewport. Default: `0`. The center point of the board has `x: 0` and `y: 0` coordinates."
},
"y": {
"type": "number",
"description": "Y-axis coordinate of the location of the item on the board. By default, all items have absolute positioning to the board, not the current viewport. Default: `0`. The center point of the board has `x: 0` and `y: 0` coordinates."
}
}
},
"style": {
"type": "object",
"description": "Contains information about the style of a frame item, such as the fill color.",
"properties": {
"fillColor": {
"type": "string",
"description": "Fill color for the frame. Hex values: `#f5f6f8` `#d5f692` `#d0e17a` `#93d275` `#67c6c0` `#23bfe7` `#a6ccf5` `#7b92ff` `#fff9b1` `#f5d128` `#ff9d48` `#f16c7f` `#ea94bb` `#ffcee0` `#b384bb` `#000000`"
}
}
}
},
"required": [
"PCID",
"board_id",
"item_id"
]
}
miro_boards_update_group
Updates a group with new items Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board. |
group_id | string | Yes | — | Unique identifier (ID) of the group. |
description | string | No | — | User group description |
id | string | Yes | — | User group ID |
name | string | Yes | — | User group name |
type | string | Yes | — | Object type |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board."
},
"group_id": {
"type": "string",
"description": "Unique identifier (ID) of the group."
},
"description": {
"type": "string",
"description": "User group description"
},
"id": {
"type": "string",
"description": "User group ID"
},
"name": {
"type": "string",
"description": "User group name"
},
"type": {
"type": "string",
"description": "Object type"
}
},
"required": [
"PCID",
"board_id",
"group_id",
"id",
"name",
"type"
]
}
miro_boards_update_item_position_or_parent
Update item position or parent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board where you want to update the item. |
item_id | string | Yes | — | Unique identifier (ID) of the item that you want to update. |
parent | object | No | — | Contains information about the parent frame for the item. |
position | object | No | — | Contains information about the item’s position on the board, such as its x coordinate, y coordinate, and the origin of the x and y coordinates. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board where you want to update the item."
},
"item_id": {
"type": "string",
"description": "Unique identifier (ID) of the item that you want to update."
},
"parent": {
"type": "object",
"description": "Contains information about the parent frame for the item.",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier (ID) of the parent frame for the item."
}
}
},
"position": {
"type": "object",
"description": "Contains information about the item's position on the board, such as its `x` coordinate, `y` coordinate, and the origin of the `x` and `y` coordinates.",
"properties": {
"x": {
"type": "number",
"description": "X-axis coordinate of the location of the item on the board. By default, all items have absolute positioning to the board, not the current viewport. Default: `0`. The center point of the board has `x: 0` and `y: 0` coordinates."
},
"y": {
"type": "number",
"description": "Y-axis coordinate of the location of the item on the board. By default, all items have absolute positioning to the board, not the current viewport. Default: `0`. The center point of the board has `x: 0` and `y: 0` coordinates."
}
}
}
},
"required": [
"PCID",
"board_id",
"item_id"
]
}
miro_boards_update_tag
Update tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
board_id | string | Yes | — | Unique identifier (ID) of the board where you want to update a specific tag. |
tag_id | string | Yes | — | Unique identifier (ID) of the tag that you want to update. |
fillColor | string | No | — | Fill color for the tag. |
title | string | No | — | Text of the tag. Case-sensitive. Must be unique. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"board_id": {
"type": "string",
"description": "Unique identifier (ID) of the board where you want to update a specific tag."
},
"tag_id": {
"type": "string",
"description": "Unique identifier (ID) of the tag that you want to update."
},
"fillColor": {
"type": "string",
"description": "Fill color for the tag.",
"enum": [
"red",
"light_green",
"cyan",
"yellow",
"magenta",
"green",
"blue",
"gray",
"violet",
"dark_green",
"dark_blue",
"black"
]
},
"title": {
"type": "string",
"description": "Text of the tag. Case-sensitive. Must be unique."
}
},
"required": [
"PCID",
"board_id",
"tag_id"
]
}

